#!/bin/bash

if [ -n "$1" ]; then
    URL=$1
else
    read -p '请输入qvod://地址：' URL
fi

[[ "$URL" =~ ^qvod://[0-9]+\|[A-Za-z0-9]+\|.+\|$ ]] || {
    echo 'Please input a qvod URL.'
    exit -1
}

URL=${URL:7:(-1)}
eval SIZE=`echo "$URL" | cut -d '|' -f 1`
eval HASH=`echo "$URL" | cut -d '|' -f 2`
eval NAME=`echo "$URL" | cut -d '|' -f 3`

TYPE=${NAME##*.}
DIR=~/$NAME
EXE=$HASH+$SIZE.${TYPE}_$HASH.exe

mkdir "$DIR"
cp downloader.exe "$DIR/$EXE"
echo "文件保存至 $DIR"
cd "$DIR"
./$EXE

if [ -f "$HASH+$SIZE.$TYPE" ]; then
    echo "下载完成！"
else
    echo "执行 $DIR/$EXE 继续下载。"
fi